Package Details: yle-dl 20220610-1

Git Clone URL: https://aur.archlinux.org/yle-dl.git (read-only, click to copy)
Package Base: yle-dl
Description: Download video and audio from YLE Areena.
Upstream URL: http://aajanki.github.io/yle-dl/
Keywords: areena yle
Licenses: GPL3
Submitter: Huulivoide
Maintainer: ZaZam (Huulivoide)
Last Packager: ZaZam
Votes: 33
Popularity: 0.028681
First Submitted: 2012-04-15 18:12 (UTC)
Last Updated: 2022-06-23 20:36 (UTC)

Latest Comments

ZaZam commented on 2021-01-23 16:33 (UTC)

@sa48mo make sure you rebuild the package, don't just reinstall it.

sa48mo commented on 2021-01-08 18:21 (UTC) (edited on 2021-01-24 17:10 (UTC) by sa48mo)

I get this error message. I already reinstalled yle-dl

Traceback (most recent call last): File "/usr/bin/yle-dl", line 33, in <module> sys.exit(load_entry_point('yle-dl==20201022', 'console_scripts', 'yle-dl')()) File "/usr/bin/yle-dl", line 22, in importlib_load_entry_point for entry_point in distribution(dist_name).entry_points File "/usr/lib/python3.9/importlib/metadata.py", line 524, in distribution return Distribution.from_name(distribution_name) File "/usr/lib/python3.9/importlib/metadata.py", line 187, in from_name raise PackageNotFoundError(name)


edit: thanks @ZaZam

If someone else has the same problem. Here is what to do Download the tarball, extract it and run makepkg -si.

ZaZam commented on 2020-08-19 13:31 (UTC)

@Uumas, I had no errors when building the package. I noticed you have a warning: WARNING: Using existing $srcdir/ tree

Try removing the src directory before building.

Are you using some aur helper or just plain makepkg?

uumas commented on 2020-08-19 10:02 (UTC)

:: (1/1) Parsing SRCINFO: yle-dl
==> Making package: yle-dl 20200807-1 (Wed Aug 19 13:00:33 2020)
==> Retrieving sources...
  -> Found yle-dl-20200807.tar.gz
==> Validating source files with sha256sums...
    yle-dl-20200807.tar.gz ... Passed
==> Making package: yle-dl 20200807-1 (Wed Aug 19 13:00:35 2020)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Retrieving sources...
  -> Found yle-dl-20200807.tar.gz
==> Validating source files with sha256sums...
    yle-dl-20200807.tar.gz ... Passed
==> Removing existing $srcdir/ directory...
==> Extracting sources...
  -> Extracting yle-dl-20200807.tar.gz with bsdtar
==> Sources are ready.
==> Making package: yle-dl 20200807-1 (Wed Aug 19 13:00:37 2020)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> WARNING: Using existing $srcdir/ tree
==> Removing existing $pkgdir/ directory...
==> Starting build()...
Traceback (most recent call last):
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 2877, in get_entry_map
    ep_map = self._ep_map
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 2835, in __getattr__
    raise AttributeError(attr)
AttributeError: _ep_map

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "setup.py", line 27, in <module>
    setup(
  File "/usr/lib/python3.8/site-packages/setuptools/__init__.py", line 162, in setup
    _install_setup_requires(attrs)
  File "/usr/lib/python3.8/site-packages/setuptools/__init__.py", line 152, in _install_setup_requires
    dist = MinimalDistribution(attrs)
  File "/usr/lib/python3.8/site-packages/setuptools/__init__.py", line 144, in __init__
    distutils.core.Distribution.__init__(self, filtered)
  File "/usr/lib/python3.8/site-packages/setuptools/dist.py", line 427, in __init__
    for ep in pkg_resources.iter_entry_points('distutils.setup_keywords'):
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 655, in <genexpr>
    for entry in dist.get_entry_map(group).values()
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 2879, in get_entry_map
    ep_map = self._ep_map = EntryPoint.parse_map(
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 2560, in parse_map
    raise ValueError("Entry points must be listed in groups")
ValueError: Entry points must be listed in groups
==> ERROR: A failure occurred in build().
    Aborting...
error making: yle-dl

membend commented on 2019-10-17 15:56 (UTC)

Works with python-attrs-19.3.0-1

ZaZam commented on 2019-10-13 10:07 (UTC)

@Wild_Penguin yle-dl seems to work fine with the latest attrs, I added a patch to allow it.

Wild_Penguin commented on 2019-10-12 16:10 (UTC) (edited on 2019-10-12 16:10 (UTC) by Wild_Penguin)

There is no python-attrs<19.2.0 in AUR nor Arch repositories.

ZaZam commented on 2019-03-23 08:58 (UTC)

@miasma

I tried and yle-dl works with 19.1, but setup.py needs to be changed to allow it. I added a patch.

miasma commented on 2019-03-16 04:25 (UTC)

:: installing python-attrs (19.1.0-1) breaks dependency 'python-attrs<18.3.0' required by yle-dl

Python-attrs was updated again. I tried and it requires changes on the code level. So much for https://www.attrs.org/en/stable/backward-compatibility.html

ZaZam commented on 2019-01-26 14:22 (UTC) (edited on 2019-01-29 13:20 (UTC) by ZaZam)

I also think that the 'provides' and 'conflicts' fields are completely unnecessary on this package. It is enough for the other packages that provide yle-dl to have these fields. I made the PKGBUILD simpler and removed these.

I added a patch to allow newer configargparse versions as yle-dl seems to work fine with the latest one. The same patch is in git, so it can be removed when the next version is released.

FunctionalHacker commented on 2019-01-17 09:54 (UTC)

@Huulivoide It does not conflict with itself, it just conflicts with other packages that provide yle-dl.

FunctionalHacker commented on 2019-01-17 09:53 (UTC) (edited on 2019-01-17 09:55 (UTC) by FunctionalHacker)

python-configargparse got updated in community and it broke yle-dl for me. Downgrading it to 0.13.0-2 from 0.14.0-1 fixed it.

Huulivoide commented on 2019-01-12 10:14 (UTC)

A package should not conflict with it self. That makes no sense what so ever.

sumt commented on 2018-09-14 12:04 (UTC)

Next version depends on python-attrs >= 18.1.0, < 18.3.0. @ZaZam I added you as a co-maintainer. Feel free to keep this PKGBUILD up-to-date if I'm not quick enough :)

ZaZam commented on 2018-08-15 10:42 (UTC) (edited on 2018-08-17 11:11 (UTC) by ZaZam)

It seems that downgrading python-attrs is not enough to make yle-dl work. I downgraded it to 17.4 and rebuilt yle-dl, but it still does not work. "pkg_resources.DistributionNotFound: The 'attrs==17.4.0' distribution was not found and is required by yle-dl"

EDIT: The problem was that python-attrs 17.4 was built for python3.6 (not 3.7), I uploaded python-attrs17 to AUR. Building and installing that fixes the problem.

ansatz commented on 2018-08-14 15:03 (UTC)

Extra/python-attrs was updated on 06.08.2018, and it breaks yle-dl that depends on version 17.4.

OssiL commented on 2018-05-20 07:45 (UTC)

No, I don't have but now the latest one (2.32) got installed after it installed bunch of new dependencies: - python-future (package found) - python-mini-amf (building from AUR) - python-pycryptodomex (package found) - python-pysocks (package found)

ZaZam commented on 2018-04-04 19:44 (UTC)

@OssiL do you have python-py3amf installed?

OssiL commented on 2018-04-04 14:06 (UTC)

fails with: error: target not found: python-pyamf

Nd43 commented on 2018-03-01 07:27 (UTC)

Just a heads up, for some reason piping a video straight to a player doesn't work anymore without adding '--backend youtubedl' to the command.

jtts commented on 2018-02-15 20:51 (UTC)

This package doesn't work without python-pysocks. However, it is not listed in the dependencies and at least for me it doesn't get pulled otherwise.

sumt commented on 2018-02-02 17:06 (UTC)

Adopted and updated to 2.30.

ZaZam commented on 2017-08-23 07:18 (UTC)

Why does this use youtube-dl by default? The AdobeHDS method is said to be the default method on https://github.com/aajanki/yle-dl

Huulivoide commented on 2017-01-22 20:24 (UTC)

1) I'm not gonna add some hack that makes python2 use python3 libraries. It might have worked back in 2015 with one version of youtubedl. But there is no telling if it still does, or if it will in the future. There is nothing wrogn with the python 2 package. You just need to enable automatic retrieval of GPG keys. Many other AUR packages use them also and more sould. https://wiki.archlinux.org/index.php/GnuPG#Use_a_keyserver Green tips section, 1st tip. 2) I am sorry about the slow update flow. Please feel free to spam me if it seems I have forgotten to update this.

huuhaa commented on 2017-01-19 08:29 (UTC)

Maybe stupid comment (I'm new to arch) but I comment anyway... 1) It is said at the comments, that this will work with community youtube-dl if yle-dl knows where to look at it. So could this be built against that community youtube-dl instead? Especially because python2-youtube-dl can't be installed? (complains about youtube-dl-2016.07.03.tar.gz public key and as a result makepkg was unable to build python2-youtube-dl) 2) Could this be updated to version 2.13 + get updates more frequently please?

petrol commented on 2016-10-10 16:45 (UTC)

Could you please update this to 2.12?

commented on 2015-12-03 20:51 (UTC)

With community/youtube-dl it does work if yle-dl just knows to look for "youtube_dl" in /usr/lib/python3.5/site-packages/. I am not a programmer so I don't know why it works with python2 and whether it is good practice to sys.path.insert that directory

Mikaela commented on 2015-10-03 10:30 (UTC)

> of course it won't work if you don't have the dependency installed. If it doesn't work without python2-youtube-dl it should be depedency, not optional depedency. It also seems very strange depedency if it doesn't exist. I don't think it can even be submitted to AUR, because youtube-dl is already in [community] and it looks like the same thing even if it's installation doesn't help anything. > Check the official package database for the package. If any version of it exists, do not submit the package. If the official package is out-of-date, flag it as such. If the official package is broken or is lacking a feature, then please file a bug report. * via https://wiki.archlinux.org/index.php/Arch_User_Repository#Rules_of_submission PS. still broken 2.8.1-2 which was just offered as upgrade.

Huulivoide commented on 2015-10-01 19:28 (UTC)

Someone could have mentioned that python2-youtube-dl had not been uploaded to the new AUR, of course it won't work if you don't have the dependency installed.

iipe commented on 2015-10-01 19:14 (UTC)

Still (version 2.8.1-2) the message "Failed to import youtube_dl" shows up. I don't have the optional dependency "python2-youtube-dl" installed because it does not exist in the repos or AUR.

iipe commented on 2015-10-01 09:10 (UTC)

I would like a working version too. The old YLE Areena (v3) is still available and the current yle-dl version works with that (using rtmpdump) but so far hasn't worked with the new Areena.

Mikaela commented on 2015-10-01 07:40 (UTC)

I am also on the latest version and it's not working for me either. ``` % yle-dl snipp yle-dl 2.8.1: Download media files from Yle Areena and Elävä Arkisto Copyright (C) 2009-2015 Antti Ajanki <antti.ajanki@iki.fi>, license: GPLv2 Subtitles saved to snip.fin.srt Subtitles saved to snip.swe.srt Output file: snip.flv PHP Warning: Module 'curl' already loaded in Unknown on line 0 KSV Adobe HDS Downloader You have to install and enable the following extension(s) to continue: 'mcrypt' Subtitles saved to snip.fin.srt Subtitles saved to snip.swe.srt Failed to import youtube_dl ``` Installing php-mcrypt (potentially missing depedency in PKGBUILD?) and youtube-dl changed nothing.

commented on 2015-09-26 07:54 (UTC)

I updated the yle-dl for latest 2.8.1-1 version and it doesn't work at all. There is an error message: Failed to import youtube_dl. Also the rtmp-backend is broken, when I trying use the option --protocol rtmp, I get following error message: The following protocols are not supported on this source: rtmp

ahjolinna commented on 2015-09-19 04:01 (UTC)

plz update or disown the pkgs if u wont/cant

dlandau commented on 2015-05-30 17:56 (UTC)

Please update PKGBUILD, old version doesn't work at all and current upstream does.

schalox commented on 2015-04-30 18:19 (UTC)

Update to 2.7.0: http://sprunge.us/eMXS

Huulivoide commented on 2015-02-05 12:22 (UTC)

bcmat is an official extension provided in the php package itself. But must be enabled in php.ini or by passing '-d extension=bcmath.so' to php. All should be fixed now.

mokkurkalve commented on 2015-02-05 12:08 (UTC)

Also; yle-dl homepage states the following: "AdobeHDS.php additionally requires php and the following php extensions: bcmath, curl and SimpleXML." The extensions does not appear satisfied. php ./AdobeHDS.php KSV Adobe HDS Downloader You have to install the following extension(s) to continue: 'bcmath' I don't find packages for these extensions in official packages or AUR. Am I looking in the wrong places?

mokkurkalve commented on 2015-02-05 11:50 (UTC)

I get error on md5sum here. This is the file downloaded: a7dcf3b7d3c6330bbe7b1df1ee99caa1 AdobeHDS.php

ahjolinna commented on 2015-02-02 17:53 (UTC)

@Huulivoide: why did u remove the line that would install AdobeHDS.php ?

ZaZam commented on 2014-04-11 12:27 (UTC)

I get an error, that a file does not exist: /tmp/yaourt-tmp-sami/aur-yle-dl/./PKGBUILD: rivi 18: cd: /tmp/yaourt-tmp-sami/aur-yle-dl/src/aajanki-yle-dl-5b1fcbb: Tiedostoa tai hakemistoa ei ole I changed the _gitid to b2b1869 and now it builds and installs.

commented on 2012-11-10 18:49 (UTC)

2.0.2 was released on 7.11

Zucca commented on 2012-06-06 18:59 (UTC)

Yeah. 1.99.6 stopped working. Kindly requesting an update.

commented on 2012-06-05 05:27 (UTC)

New version released 23.5

Huulivoide commented on 2012-05-25 13:03 (UTC)

indg: Does this happen with every link? Did a quick test and everything seems to work fine in here.

commented on 2012-05-25 13:01 (UTC)

Am I the only one who gets "NetStream.Play.Failed" and "Invalid tincan object name (stream ID: 1)" (in the debug output) when trying to save something with the newest version? Only subtitles get saved when this happens, the length of the video file is zero. Olenko ainoa, jolle tulee virheilmoituksena "NetStream.Play.Failed" ja edelleen debug-syötteen puolella "Invalid tincan object name (stream ID: 1)", kun yrittää tallentaa jotain uudesta Areenasta (uusimmalla versiolla)? Vain tekstitykset tallentuvat tällöin, saadun videotiedoston pituus on nolla.

commented on 2012-04-22 12:07 (UTC)

Package breaks mpd from extra (0.16.8-2) due to missing /usr/lib/librtmp.so.0. Symlinking the librtmp.so.0 to /usr/lib/librtmp.so.1 resolves the issue.

Huulivoide commented on 2012-04-15 18:18 (UTC)

Tää oon siis rtmpdump-yle ohjelma, uudella nimellä (pellin alla isoja muutoksia) uudelle Areenalle, joka on vielä BETA testaus viheessa. Tää ei toimi vanhan Areenan kanssa, pelkästän uuden. This the rtmpdump-yle application that can alredy be found in AUR, under a new name, (a lot has changed under the hood). This is ment fo the new BETA version of YLE Areena. This doesn't work with the old Areena URLS, only with the ones from Areena Beta :D